@echo off

echo.
echo Partition Manager Install
echo.
echo This script is going to do the following steps:
echo.
echo.    1. Make a bootable system floppy.
echo.    2. Copy Partition Manager to floppy.
echo.    3. Save your MBR to the file on floppy.
echo.    4. Save information about your partitions.
echo.
echo If you have more than one hard drive, please, save
echo their information manually.
echo You can stop setup at any moment by pressing Ctrl-C
echo.

if not exist part*.exe goto error_missing_files
if not exist part*.htm goto error_missing_files

echo Step 1: Formatting floppy
format a: /u /q /s /V:PART_MANAGER
if errorlevel == 1 goto error_formatting_floppy

echo Step 2: Copying Partition Manager to the floppy...

copy part.exe a:\  > nul
copy part.htm a:\  > nul

echo Step 3: Saving your current MBR...

part -s a:\orig_mbr.dat > nul

echo Step 4: Saving information about partitions...

part -i     > a:\part_ide.out
part -p     > a:\part_inf.out
part -p -r  > a:\part_rec.out

echo Installation completed.
goto end

:error_missing_files
echo Error: One or more files is missing!
pause
goto end

:error_formatting_floppy
echo Error: There was an error formatting floppy disk!
pause
goto end

:end
